API Reference
Go to zen.comGo to myZEN.com
Documentation
Documentation
  • Sandbox
  • Plugin integration
  • Checkout integration
  • API business
  • Merchant panel
  • Brandbook
  • API transfers
Go to zen.comGo to myZEN.com
Documentation
Documentation
  • Sandbox
  • Plugin integration
  • Checkout integration
  • API business
  • Merchant panel
  • Brandbook
  • API transfers
  1. customers
  • Introduction
  • Authentication & authorization
  • Environments
  • Transaction statuses
  • Notifications
  • Response codes
  • Error codes
  • purchase
    • Create transaction
    • Capture transaction
    • Transaction details using ZEN id
    • Transaction details using merchantTransactionId
    • Cancel transaction
    • Renew authorization
    • Validate ApplePay session
    • Calculate cashback
  • refund
    • Create transaction
  • payout
    • Create transaction
    • Transaction details using ZEN id
    • Transaction details using merchantTransactionId
    • Capture transaction
    • Cancel transaction
    • Renew transaction
    • Transaction details using ZEN id
    • Refresh transaction offers
    • Select transaction offer
  • payment-methods
    • Returns information about payment methods
    • Returns information about payment methods
  • payment-links
    • Create payment link
    • Fetch payment links list
    • Fetch payment link
    • Update payment link
  • customers
    • Create customer
      POST
    • Remove customer
      DELETE
    • Add customer recipient
      POST
    • Add payout card
      POST
    • Remove payout card
      DELETE
    • Fetch payout card list
      GET
    • Update payout card details
      PATCH
    • Fetch saved subscription customer list V3
      GET
    • Fetch customer
      GET
    • Update a customer
      PATCH
    • Fetch card
      GET
    • Update card details
      PATCH
    • Remove card
      DELETE
    • Fetch card list
      GET
    • Fetch customer recipient list
      GET
    • Fetch customer recipient
      GET
    • Update customer details recipient
      PATCH
    • Remove customer recipient
      DELETE
    • Add customer payout card
      POST
    • Fetch saved payout card V3
      GET
    • Initialize widget payout card process
      POST
    • Removes customer saved payout card V3
      DELETE
    • Fetch saved payout card list V3
      GET
    • Fetch blik paymentTokens list
      GET
    • Remove Blik paymentToken
      DELETE
    • Fetch Blik paymentToken
      GET
    • Add paynow recipient
      POST
    • Remove paynow profile
      DELETE
    • Fetch saved merchant customer payout recipient list V3
      GET
    • Verify merchant's customer payout recipient card
      POST
    • Fetch saved merchant customer's payout card V3
      GET
    • Update merchant payout card alias
      PATCH
    • Removes merchant customer payout card.
      DELETE
  • authorization
    • Calculate authorization amount
    • Calculate reversed authorization amount
  • subscriptions
    • Fetch subscription products list
    • Add new subscription product
    • Fetch subscription product
    • Update subscription product
    • Removes subscription product
    • Fetch subscription plan list
    • Add new subscription plan
    • Fetch subscription plan
    • Removes subscription plan
    • Activate subscription plan
    • Deactivate subscription plan
    • Fetch subscriptions list
    • Fetch subscription
    • Removes subscription
    • Cancel subscription
  • reports
    • Download report file
Go to zen.comGo to myZEN.com
Documentation
Documentation
  • Sandbox
  • Plugin integration
  • Checkout integration
  • API business
  • Merchant panel
  • Brandbook
  • API transfers
Go to zen.comGo to myZEN.com
Documentation
Documentation
  • Sandbox
  • Plugin integration
  • Checkout integration
  • API business
  • Merchant panel
  • Brandbook
  • API transfers
  1. customers

Update customer details recipient

PATCH
https://api.zen.com/v3/customers/{merchantCustomerId}/withdrawals/dragon/{id}
Updates customer's cryptocurrency recipient (one customer each time). It is possible to update wallets supported by ZEN only. Customer has to initiate the cryptocurrency recipient updating process. It is possible to update: wallet address, wallet currency and wallet alias.

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Basic Auth
Send your HTTP requests with an
Authorization
header that contains the word Basic followed by a space and a base64-encoded string username:password
Example:
Authorization: Basic *****************
or
Path Params

Header Params

Body Params application/jsonRequired

Example
{
    "merchantId": "string",
    "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",
    "firstTransactionId": "03056aca-c5f2-4f6b-a174-27e4af663155",
    "walletAddress": "string",
    "walletCurrency": "string",
    "walletAlias": "string",
    "walletAddressMemo": "string",
    "travelRuleData": {
        "entityType": "individual",
        "vaspName": "string",
        "firstName": "string",
        "lastName": "string",
        "address": "string",
        "dateOfBirth": "2019-08-24"
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://api.zen.com/v3/customers//withdrawals/dragon/' \
--header 'request-id;' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "merchantId": "string",
    "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",
    "firstTransactionId": "03056aca-c5f2-4f6b-a174-27e4af663155",
    "walletAddress": "string",
    "walletCurrency": "string",
    "walletAlias": "string",
    "walletAddressMemo": "string",
    "travelRuleData": {
        "entityType": "individual",
        "vaspName": "string",
        "firstName": "string",
        "lastName": "string",
        "address": "string",
        "dateOfBirth": "2019-08-24"
    }
}'

Responses

🟢200OK
application/json
OK
Body

Example
{
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",
    "transactionType": "string",
    "firstTransactionId": "03056aca-c5f2-4f6b-a174-27e4af663155",
    "walletAddress": "string",
    "walletCurrency": "string",
    "walletAlias": "string",
    "walletAddressMemo": "string",
    "createdAt": "2019-08-24T14:15:22.123Z"
}
🟠404Record Not Found
Modified at 2026-01-27 18:51:51
Previous
Fetch customer recipient
Next
Remove customer recipient